{% extends "./subviews/logincomponents/captcha.twig" %}

    {% block formheading %}
        {{ LdapTokenAuthenticate.introduction }}
    {% endblock %}
    {% block description %}
        {{ LdapTokenAuthenticate.description }}
    {% endblock %}
    {% block formcontent  %}
    <ul class="list-unstyled form-horizontal">
        <li class="form-group">
            <label for='ldap_userid' class="col-sm-4 control-label">{{ LdapTokenAuthenticate.labelUid }}</label>
            <div class="col-sm-8">
                {{ C.Html.textField('ldap_userid', LdapTokenAuthenticate.form.ldapUserId, ({'id' : 'ldap_userid','class' : 'form-control'})) }}
            </div>
        </li>
        <li class="form-group">
            <label for='ldap_password' class="col-sm-4 control-label">{{ gT("Password") }}</label>
            <div class="col-sm-8">
                {{ C.Html.passwordField('ldap_password', LdapTokenAuthenticate.form.ldapPassword, ({'id' : 'ldap_userid','class' : 'form-control'})) }}
            </div>
        </li>
        <li>
        <div class="col-md-offset-4 col-sm-8">
            <button type='submit' name='ldap_submit' class='btn btn-primary' value='login'>{{ gT("Log in") }}</button>
        </div>
        </li>
    </ul>
    {% if(LdapTokenAuthenticate.registerUrl) %}
    <div class="url-wrapper">
        <a href="{{ LdapTokenAuthenticate.registerUrl }}">
            {{ LdapTokenAuthenticate.lang['Use your email to register to this survey.'] }}
        </a>
    </div>
    {% endif %}
    {% endblock %}


